/*******************************************************************************
				Neoinput
				========

		Copyright (C) 2010 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#ifndef SERVER_H
#define SERVER_H

/* Sockets files descriptors */
extern int sock_fd, sock_client_fd;

/* Struct to store the server address */
extern struct sockaddr_in server_addr;

/* Struct to store the server address */
extern struct sockaddr_in client_addr;

void server_open(char *server_ip, int server_port);
void server_accept(void);
int server_get_input_type(void);
void server_send_status(int status);
void server_close(void);

#endif
